Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.pdf
Class PDFStructElem

    java.lang.Object
      org.apache.fop.pdf.PDFObject
          org.apache.fop.pdf.PDFDictionary
              org.apache.fop.pdf.PDFStructElem

All Implemented Interfaces:
  PDFWritable

public class PDFStructElem
extends PDFDictionary

Class representing a PDF Structure Element.

Field Summary

Fields inherited from class org.apache.fop.pdf.PDFDictionary
`entries, order`

Fields inherited from class org.apache.fop.pdf.PDFObject
`DATE_FORMAT, log`

Method Summary
`void` | `addKid(PDFObject kid)` Add a kid to this structure element.
`java.lang.String` | `getLanguage()` Returns the language of this structure element.
`PDFStructElem` | `getParentStructElem()` Returns the parent of this structure element.
`PDFName` | `getStructureType()` Returns the structure type of this structure element.
`void` | `setLanguage(java.util.Locale language)` Sets the language of this structure element.
`void` | `setMCIDKid(int mcid)` Sets the given mcid as the kid of this structure element.
`void` | `setPage(PDFPage page)` Sets the page reference of this structure element.
`void` | `setParent(PDFObject parent)` Sets the direct parent object.

Methods inherited from class org.apache.fop.pdf.PDFDictionary
`get, output, put, put, writeDictionary`

Methods inherited from class org.apache.fop.pdf.PDFObject
`contentEquals, encode, encodeBinaryToHexString, encodeString, encodeText, formatDateTime, formatDateTime, formatObject, getDocument, getDocumentSafely, getGeneration, getObjectID, getObjectNumber, getParent, hasObjectNumber, makeReference, outputInline, referencePDF, setDocument, setObjectNumber, toPDF, toPDFString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getParentStructElem

    public PDFStructElem getParentStructElem()

  Returns the parent of this structure element.

  Returns:
    the parent, `null` if the parent is not a structure element (i.e., is the structure tree root)

### setParent

    public void setParent(PDFObject parent)

  Sets the direct parent object.

  Overrides:
    `setParent` in class `PDFObject`
  Parameters:
    `parent` - the direct parent

### addKid

    public void addKid(PDFObject kid)

  Add a kid to this structure element. This element will then add itself to its parent structure element if it has not already, and so will the parent, and so on.

  Parameters:
    `kid` - element to be added

### setMCIDKid

    public void setMCIDKid(int mcid)

  Sets the given mcid as the kid of this structure element. This element will then add itself to its parent structure element if it has not already, and so will the parent, and so on.

  Parameters:
    `mcid` - mcid of the marked-content sequence corresponding to this structure element's kid

### setPage

    public void setPage(PDFPage page)

  Sets the page reference of this structure element.

  Parameters:
    `page` - value for the Pg entry

### getStructureType

    public PDFName getStructureType()

  Returns the structure type of this structure element.

  Returns:
    the value of the S entry

### setLanguage

    public void setLanguage(java.util.Locale language)

  Sets the language of this structure element.

  Parameters:
    `language` - a value for the Lang entry

### getLanguage

    public java.lang.String getLanguage()

  Returns the language of this structure element.

  Returns:
    the value of the Lang entry (`null` if no language was specified)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.